Cursor jump sometimes by touchpad button

Bug #1619919 reported by Gabor Peltzer on 2016-09-03
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
xserver-xorg-input-synaptics (Ubuntu)
Low
Unassigned

Bug Description

The cursor jump or sticking sometimes, when I click touchpad button while one finger on touchpad.

syslog:
Sep 3 16:54:59 atlantis kernel: [24012.686354] psmouse serio1: Touchpad at isa0060/serio1/input0 lost sync at byte 6
Sep 3 16:54:59 atlantis kernel: [24012.693535] psmouse serio1: Touchpad at isa0060/serio1/input0 - driver resynced.
Sep 3 16:54:59 atlantis kernel: [24012.700467] psmouse serio1: Touchpad at isa0060/serio1/input0 lost sync at byte 6
Sep 3 16:54:59 atlantis kernel: [24012.710051] psmouse serio1: Touchpad at isa0060/serio1/input0 lost sync at byte 6
Sep 3 16:54:59 atlantis kernel: [24012.720168] psmouse serio1: Touchpad at isa0060/serio1/input0 lost sync at byte 6
Sep 3 16:54:59 atlantis kernel: [24012.730265] psmouse serio1: Touchpad at isa0060/serio1/input0 lost sync at byte 6
Sep 3 16:54:59 atlantis kernel: [24012.740728] psmouse serio1: Touchpad at isa0060/serio1/input0 lost sync at byte 6
Sep 3 16:54:59 atlantis kernel: [24012.740730] psmouse serio1: issuing reconnect request

Otherwise the usb mouse work perfectly.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: xserver-xorg-input-synaptics 1.8.2-1ubuntu3
ProcVersionSignature: Ubuntu 4.4.0-36.55-generic 4.4.16
Uname: Linux 4.4.0-36-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.1
Architecture: amd64
CurrentDesktop: Unity
Date: Sat Sep 3 16:56:30 2016
DistUpgraded: Fresh install
DistroCodename: xenial
DistroVariant: ubuntu
InstallationDate: Installed on 2016-08-29 (4 days ago)
InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 (20160719)
MachineType: LENOVO 20FD0021MC
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.4.0-36-generic.efi.signed root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
SourcePackage: xserver-xorg-input-synaptics
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 05/20/2016
dmi.bios.vendor: LENOVO
dmi.bios.version: N1GET64W (1.43 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20FD0021MC
dmi.board.vendor: LENOVO
dmi.board.version: SDK0J40709 WIN
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: None
dmi.modalias: dmi:bvnLENOVO:bvrN1GET64W(1.43):bd05/20/2016:svnLENOVO:pn20FD0021MC:pvrThinkPadYoga260:rvnLENOVO:rn20FD0021MC:rvrSDK0J40709WIN:cvnLENOVO:ct10:cvrNone:
dmi.product.name: 20FD0021MC
dmi.product.version: ThinkPad Yoga 260
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.12.2+16.04.20160801.3-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.67-1ubuntu0.16.04.2
version.libgl1-mesa-dri: libgl1-mesa-dri 11.2.0-1ubuntu2.1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 11.2.0-1ubuntu2.1
version.xserver-xorg-core: xserver-xorg-core 2:1.18.3-1ubuntu2.3
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20160325-1ubuntu1.1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.12-1build2
xserver.bootTime: Sat Sep 3 10:14:57 2016
xserver.configfile: default
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 4665
 vendor CMN
xserver.version: 2:1.18.3-1ubuntu2.3

Gabor Peltzer (peltzer-gabor) wrote :
information type: Public → Public Security
information type: Public Security → Public

Gabor Peltzer, in order to allow additional upstream developers to examine the issue, at your earliest convenience, could you please test the latest upstream kernel available from http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D ? Please keep in mind the following:
1) The one to test is at the very top line at the top of the page (not the daily folder).
2) The release names are irrelevant.
3) The folder time stamps aren't indicative of when the kernel actually was released upstream.
4) Install instructions are available at https://wiki.ubuntu.com/Kernel/MainlineBuilds .

If testing on your main install would be inconvenient, one may:
1) Install Ubuntu to a different partition and then test this there.
2) Backup, or clone the primary install.

If the latest kernel did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this issue is fixed in the mainline kernel, please add the following tags by clicking on the yellow circle with a black pencil icon, next to the word Tags, located at the bottom of the report description:
kernel-fixed-upstream
kernel-fixed-upstream-X.Y-rcZ

Where X, and Y are the first two numbers of the kernel version, and Z is the release candidate number if it exists.

If the mainline kernel does not fix the issue, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-X.Y-rcZ

Please note, an error to install the kernel does not fit the criteria of kernel-bug-exists-upstream.

Also, you don't need to apport-collect further unless specifically requested to do so.

It is most helpful that after testing of the latest upstream kernel is complete, you mark this report Status Confirmed.

Lastly, to keep this issue relevant to upstream, please continue to test the latest mainline kernel as it becomes available.

Thank you for your help.

tags: added: bios-outdated-1.49
Changed in xserver-xorg-input-synaptics (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
Changed in xserver-xorg-input-synaptics (Ubuntu):
status: Incomplete → Confirmed
Changed in xserver-xorg-input-synaptics (Ubuntu):
status: Confirmed → Incomplete
s.illes79 (s-illes79-gmail) wrote :

Hi,

I have the exact same problem on a Dell XPS 13. 1 out of 20-40 clicks on the touchpad result a pointer jump and a "random" click.

It's very annoying.

Cheers

s.illes79 (s-illes79-gmail) wrote :

just made an observation, it happens when I use my middle finger to move the mouse and click with index finger. Sometimes the double touch of middle/index finger is interpreted as mouse move, the jump is more or less the same distance as if i had moved the index to the middle finger position .

s.illes79, it will help immensely if you filed a new report with Ubuntu by ensuring you have the package xdiagnose installed, and that you click the Yes button for attaching additional debugging information running the following from a terminal:
ubuntu-bug xorg

Also, please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

s.illes79 (s-illes79-gmail) wrote :

Hi Chris,

Sorry for the delay but I've been travelling for a month now :)

New bug report is done: https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1636473

Cheers,
Szabolcs

Launchpad Janitor (janitor) wrote :

[Expired for xserver-xorg-input-synaptics (Ubuntu) because there has been no activity for 60 days.]

Changed in xserver-xorg-input-synaptics (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers